|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QImageIOHandlerFactoryInterface Class Reference

The QImageIOHandlerFactoryInterface class provides the factory interface for QImageIOPlugin. More...

    #include <QImageIOHandlerFactoryInterface>

Part of the QtGui module.

Inherited by QImageIOPlugin.

- List of all members, including inherited members

### Public Functions

- virtual QImageIOHandler * create ( QIODevice * device, const QByteArray & format = QByteArray() ) const = 0

## Detailed Description

The QImageIOHandlerFactoryInterface class provides the factory interface for QImageIOPlugin.

See also QImageIOPlugin.

## Member Function Documentation

### QImageIOHandler * QImageIOHandlerFactoryInterface::create ( QIODevice * device, const QByteArray & format = QByteArray() ) const `[pure virtual]`

Creates and returns a QImageIOHandler subclass, with device and format set.

See also QImageIOPlugin.